package com.fjhx.mes.service.workshop;

import com.fjhx.mes.entity.workshop.po.Workshop;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.workshop.vo.WorkshopVo;
import com.fjhx.mes.entity.workshop.dto.WorkshopSelectDto;
import com.fjhx.mes.entity.workshop.dto.WorkshopDto;


/**
 * <p>
 * 车间 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-23
 */
public interface WorkshopService extends BaseService<Workshop> {

    /**
     * 车间分页
     */
    Page<WorkshopVo> getPage(WorkshopSelectDto dto);

    /**
     * 车间明细
     */
    WorkshopVo detail(Long id);

    /**
     * 车间新增
     */
    void add(WorkshopDto workshopDto);

    /**
     * 车间编辑
     */
    void edit(WorkshopDto workshopDto);

    /**
     * 车间删除
     */
    void delete(Long id);

}
